-- IGAS
-- In-Game Addon System
-- Author: kurapica.igas@gmail.com
-- Create Date : 2011/03/01
-- ChangeLog   :

local version = 1

if not IGAS:NewAddon("IGAS", version) then
	return
end

-- Keep this setting for gui lib, no need to set _AutoWrapper in other addons.
_AutoWrapper = false

Log = IGAS:NewLogger("IGAS")

Log.TimeFormat = "%X"
Log:SetPrefix(1, "[IGAS][Trace]")
Log:SetPrefix(2, "[IGAS][Debug]")
Log:SetPrefix(3, "[IGAS][Info]")
Log:SetPrefix(4, "[IGAS][Warn]")
Log:SetPrefix(5, "[IGAS][Error]")
Log:SetPrefix(6, "[IGAS][Fatal]")
Log.LogLevel = 2

Log:AddHandler(print)

L = IGAS:NewLocale("IGAS")